Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad2.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad2.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad2.f90	(revision 5134)
@@ -13,4 +13,5 @@
   !
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
@@ -19,5 +20,4 @@
   INCLUDE "paramet.h"
   INCLUDE "comgeom2.h"
-  INCLUDE "comdissipn.h"
 
   !    .......    variables en arguments   .......
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ener_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ener_mod.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ener_mod.F90	(revision 5134)
@@ -6,6 +6,6 @@
 IMPLICIT NONE  
 
-include "dimensions.h"
-include "paramet.h"
+INCLUDE "dimensions.h"
+INCLUDE "paramet.h"
 
       REAL ang0,etot0,ptot0,ztot0,stot0,			&
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/enercin.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/enercin.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/enercin.F90	(revision 5134)
@@ -6,7 +6,7 @@
 ! Purpose: Compute kinetic energy at sigma levels.
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5134)
@@ -39,7 +39,7 @@
     IMPLICIT NONE
     
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5134)
@@ -37,7 +37,7 @@
     IMPLICIT NONE
     
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/extrapol.f90	(revision 5134)
@@ -6,5 +6,5 @@
 SUBROUTINE extrapol(pfild, kxlon, kylat, pmask, &
         norsud, ldper, knbor, pwork)
-  IMPLICIT none
+  IMPLICIT NONE
   !
   ! OASIS routine (Adaptation: Laurent Li, le 14 mars 1997)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/flumass.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/flumass.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/flumass.F90	(revision 5134)
@@ -6,7 +6,7 @@
 ! Purpose: Compute mass flux at s levels.
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5134)
@@ -24,5 +24,5 @@
     USE serre_mod, ONLY: clon, grossismx, dzoomx, taux
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
     ! for iim
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxy.f90	(revision 5134)
@@ -15,6 +15,6 @@
   !
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   INTEGER :: i, j
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5134)
@@ -20,5 +20,5 @@
     USE serre_mod, ONLY: clat, grossismy, dzoomy, tauy
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
     ! for jjm
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/geopot.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/geopot.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/geopot.f90	(revision 5134)
@@ -27,6 +27,6 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_ecrit_fi.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_ecrit_fi.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_ecrit_fi.f90	(revision 5134)
@@ -4,5 +4,5 @@
   SUBROUTINE gr_ecrit_fi(nfield,nlon,iim,jjmp1,ecrit,fi)
 
-    IMPLICIT none
+    IMPLICIT NONE
 
   ! Transformer une variable de la grille d'ecriture a la grille physique
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv.f90	(revision 5134)
@@ -18,10 +18,10 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   INTEGER :: klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv2.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv2.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradiv2.f90	(revision 5134)
@@ -17,4 +17,5 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
@@ -23,5 +24,4 @@
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
-  INCLUDE "comdissipn.h"
   !
   ! ........    variables en arguments      ........
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5134)
@@ -18,6 +18,6 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   CHARACTER(LEN = *), parameter :: modname = "iniconst"
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5134)
@@ -18,10 +18,9 @@
   USE lmdz_ran1, ONLY: ran1
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   LOGICAL, INTENT(IN) :: lstardis
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5134)
@@ -23,10 +23,12 @@
         alphax,alphay,taux,tauy,transx,transy,pxo,pyo
   USE lmdz_ssum_scopy, ONLY: ssum
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
+
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
-  include "comdissnew.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !-----------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5134)
@@ -36,7 +36,7 @@
   !   L. Fairhead, LMD, 03/99
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5134)
@@ -41,7 +41,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inithist.F90	(revision 5134)
@@ -40,7 +40,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5134)
@@ -17,11 +17,11 @@
     USE lmdz_assert, ONLY: assert
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
     ! (for "iim", "jjm")
 
-    include "paramet.h"
+    INCLUDE "paramet.h"
     ! (for other included files)
 
-    include "comgeom2.h"
+    INCLUDE "comgeom2.h"
     ! (for "aire", "apoln", "apols")
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpost.f90	(revision 5134)
@@ -7,7 +7,7 @@
 
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/interpre.f90	(revision 5134)
@@ -8,11 +8,11 @@
   USE comvert_mod, ONLY: ap, bp
   USE lmdz_description, ONLY: descript
+  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
 
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissip.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !---------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5134)
@@ -13,5 +13,5 @@
     USE serre_mod, ONLY: clon
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
     ! for iim
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5134)
@@ -15,7 +15,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5134)
@@ -20,7 +20,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5134)
@@ -15,7 +15,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_academic.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_academic.f90	(revision 5134)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_academic.f90	(revision 5134)
@@ -0,0 +1,17 @@
+! Replaces academic.h
+! $Id$
+
+MODULE lmdz_academic
+  IMPLICIT NONE; PRIVATE
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+
+  PUBLIC tetarappel, knewt_t, kfrict, knewt_g, clat4
+
+  REAL :: tetarappel(ip1jmp1, llm)
+  REAL :: knewt_t(llm)
+  REAL :: kfrict(llm)
+  REAL :: knewt_g
+  REAL :: clat4(ip1jmp1)
+
+END MODULE lmdz_academic
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissip.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissip.f90	(revision 5134)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissip.f90	(revision 5134)
@@ -0,0 +1,8 @@
+! Replaces comdissip.h
+MODULE lmdz_comdissip
+  IMPLICIT NONE; PRIVATE
+  PUBLIC coefdis, tetavel, tetatemp, gamdissip, niterdis
+
+  INTEGER niterdis
+  REAL tetavel, tetatemp, coefdis, gamdissip
+END MODULE lmdz_comdissip
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissipn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissipn.f90	(revision 5134)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissipn.f90	(revision 5134)
@@ -0,0 +1,9 @@
+! Replaces comdissipn.h
+MODULE lmdz_comdissipn
+  IMPLICIT NONE; PRIVATE
+  PUBLIC tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
+  INCLUDE "dimensions.h"
+
+  REAL tetaudiv(llm), tetaurot(llm), tetah(llm), cdivu, crot, cdivh
+END MODULE lmdz_comdissipn
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissnew.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissnew.f90	(revision 5134)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/lmdz_comdissnew.f90	(revision 5134)
@@ -0,0 +1,19 @@
+! Replaces comdissnew.h
+
+MODULE lmdz_comdissnew
+  IMPLICIT NONE; PRIVATE
+  PUBLIC lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
+
+  LOGICAL lstardis
+  INTEGER nitergdiv, nitergrot, niterh
+
+  INTEGER vert_prof_dissip ! vertical profile of horizontal dissipation
+  !     Allowed values:
+  !     0: rational fraction, function of pressure
+  !     1: tanh of altitude
+
+  REAL     tetagdiv, tetagrot, tetatemp, coefdis
+  ! ... Les parametres de ce common comdissnew sont  lues par defrun_new
+  !              sur le fichier  run.def    ....
+END MODULE lmdz_comdissnew
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbar.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbar.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbar.F90	(revision 5134)
@@ -7,7 +7,7 @@
 ! See iniconst for more details.
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbarxy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbarxy.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massbarxy.F90	(revision 5134)
@@ -7,7 +7,7 @@
 ! See iniconst for more details.
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massdair.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massdair.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/massdair.f90	(revision 5134)
@@ -18,7 +18,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !  .....   arguments  ....
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgraro2.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgraro2.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgraro2.f90	(revision 5134)
@@ -16,4 +16,5 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
@@ -21,5 +22,4 @@
   INCLUDE "dimensions.h"
   INCLUDE "paramet.h"
-  INCLUDE "comdissipn.h"
   !
   !    ......  variables en arguments  .......
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgrarot.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgrarot.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/nxgrarot.f90	(revision 5134)
@@ -17,11 +17,11 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
   !
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   INTEGER :: klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5134)
@@ -26,7 +26,7 @@
 
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.f90	(revision 5134)
@@ -23,7 +23,7 @@
 
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pression.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pression.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pression.F90	(revision 5134)
@@ -9,6 +9,6 @@
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/principal_cshift_m.F90	(revision 5134)
@@ -14,5 +14,5 @@
     USE serre_mod, ONLY: clon
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
     ! for iim
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tourpot.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tourpot.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/tourpot.F90	(revision 5134)
@@ -7,7 +7,7 @@
   USE lmdz_filtreg, ONLY: filtreg
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/traceurpole.f90	(revision 5134)
@@ -3,10 +3,11 @@
 SUBROUTINE traceurpole(q, masse)
   USE lmdz_description, ONLY: descript
+  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
+
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissip.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/ugeostr.F90	(revision 5134)
@@ -15,7 +15,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   REAL ucov(iip1,jjp1,llm),phi(iip1,jjp1,llm)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/vitvert.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/vitvert.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/vitvert.F90	(revision 5134)
@@ -7,6 +7,6 @@
   USE comvert_mod, ONLY: bp
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writedynav.F90	(revision 5134)
@@ -31,7 +31,7 @@
 
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/writehist.f90	(revision 5134)
@@ -34,7 +34,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/addfi_loc.f90	(revision 5134)
@@ -47,7 +47,7 @@
   !    ------------------
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !    Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.f90	(revision 5134)
@@ -30,7 +30,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advtrac_loc.f90	(revision 5134)
@@ -21,12 +21,11 @@
   USE lmdz_description, ONLY: descript
   USE lmdz_libmath, ONLY: minmax
-
+  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
 
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissip.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !---------------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bands.F90	(revision 5134)
@@ -44,5 +44,5 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
       INTEGER :: i,j
       CHARACTER (LEN=4) :: siim,sjjm,sllm,sproc
@@ -438,5 +438,5 @@
     USE parallel_lmdz
     IMPLICIT NONE
-    include "dimensions.h"
+    INCLUDE "dimensions.h"
 
       INTEGER :: i,j
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.f90	(revision 5134)
@@ -24,6 +24,6 @@
   !   -------------
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5134)
@@ -23,7 +23,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !====================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5134)
@@ -28,6 +28,6 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/caldyn_loc.f90	(revision 5134)
@@ -29,7 +29,7 @@
   !   ----------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/check_isotopes_loc.F90	(revision 5134)
@@ -7,5 +7,5 @@
 
    IMPLICIT NONE
-   include "dimensions.h"
+   INCLUDE "dimensions.h"
    REAL,             INTENT(INOUT) :: q(ijb_u:ije_u,llm,nqtot)
    INTEGER,          INTENT(IN)    :: ijb, ije   !--- Can be local and different from ijb_u,ije_u, for example in qminimum
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/conf_gcm.F90	(revision 5134)
@@ -22,5 +22,6 @@
   USE temps_mod, ONLY: calend, year_len, offline_time
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -39,7 +40,6 @@
   !   Declarations :
   !   --------------
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   local:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas1_loc.F90	(revision 5134)
@@ -9,7 +9,7 @@
   USE lmdz_filtreg_p
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
